<!-- 搜索表单 -->
<template>
  <a-space :size="10" style="flex-wrap: wrap">
    <a-input-search
      allow-clear
      placeholder="请输入项目名称"
      v-model:value="where.keywords"
      @pressEnter="search"
      @search="search"
    />
  </a-space>
</template>

<script lang="ts" setup>
import {watch} from 'vue';
import useSearch from "@/utils/use-search";
import {ProjectParam} from "@/api/project/project/model";
import {ProjectRenewParam} from "@/api/project/projectRenew/model";

const props = withDefaults(
  defineProps<{
    // 选中的角色
    selection?: [];
  }>(),
  {}
);

const emit = defineEmits<{
  (e: 'search', where?: ProjectRenewParam): void;
  (e: 'add'): void;
  (e: 'remove'): void;
  (e: 'batchMove'): void;
}>();

// 表单数据
const {where} = useSearch<ProjectParam>({
  appId: undefined,
  userId: undefined,
  appStatus: undefined,
  keywords: ''
});

/* 搜索 */
const search = () => {
  emit('search', where);
};

watch(
  () => props.selection,
  () => {
  }
);
</script>
